/*
Theme Name: krisken-asge
Theme URI: 
Author: krisken.fr
Author URI: 
Description: Theme enfant de spectra-one
Requires at least: 6.9
Tested up to: 6.9
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: spectra-one
Text Domain: krisken-asge
Tags: 
*/

/* COULEURS */
.dark{color: #c370ab;}
.rosefonce{color: #e44987;}
.rose{color: #f2a4c3;}
.roseclair{color: #f8d1e1;}
.rose-ultrallight{color: #ffeef5;}

/* GENERIQUES */
html{
	scroll-behavior: smooth;
}
body{
	background: #FFF !important;
}
.entry-content{
	margin: 20px !important;
}
body:not(.home) .entry-content{
	margin: 0 !important;
}
.entry-content > *:last-child{
	padding-bottom: 80px;
}
.wp-block-image{
	margin-bottom: 0;
}
blockquote .uagb-blockquote__content{padding: 0 40px;}
blockquote footer > div{justify-content: flex-end !important;}
strong{font-weight: 700;}

h2 em{
	font-family: "Playfair Display", serif;
	text-transform: none;
	font-weight: bold;
	line-height: 1;
	font-size: 1.1em;
}
:root h3:where(.wp-block-heading){
	margin-bottom: 1em;
}
:root h4:where(.wp-block-heading){
	margin-bottom: 0.5em;
}
.wp-block-button__link{
	border-top-left-radius: 22px;
	border-top-right-radius: 4px;
	border-bottom-left-radius: 22px;
	border-bottom-right-radius: 22px;
}
ul.full-width{
	padding-left: 15px;
}
ul.full-width li{
	width: 100%;
	display: inline-flex;
	justify-content: space-between;
	position: relative;
}
ul.full-width li:before{
	content: '•';
	position: absolute;
	left: -10px;
	font-size: 32px;
	line-height: 20px;
}

/* HEADER */
body.home .entete{
	min-height: calc(100vh - 40px);
}
/* PRIMARY-MENU */
#masthead{
	position: absolute;
	z-index: 9;
	left: 0;
	top: 0;
	right: 0;
	height: 90px;
	margin: 20px;
	border-radius: 16px;
}
	#site-navigation{
		position: absolute;
		z-index: 999;
		top: 20px;
		left: 20px;
		right: 20px;
		max-width: 1160px;
		margin: 0 auto;
		padding: 5px 12px;
		background: #f8d1e1D9;
		box-shadow: 0 0 0 5px #f2a4c333;
		backdrop-filter: blur(4px) brightness(1);
		border-radius: 32px 4px 32px 32px;
		border: 1px solid #f2a4c3;
	}
	#site-navigation.fixed{
		position: fixed;
		z-index: 9999;
	}
	#site-navigation ul{
		z-index: 999;
		gap: 0;
	}
	#site-navigation li{
		padding: 10px;
	}
	#site-navigation li.shop a{color: #e44987;}
	#site-navigation li.actus{
		border-radius: 32px;
		background-color: #1a1a1a;
		border: 1px solid transparent;
		align-self: flex-end;
	}
	#site-navigation li.actus:hover{
		border-color: #1a1a1a;
		background: transparent;
	}
	#site-navigation ul li a{
		color: #1a1a1a;
		font-size: 0.8rem;
		line-height: 1;
		font-weight: 700;
		padding: 8px 1em;
		text-transform: uppercase;
		transition: all 0.2s;
	}
	#site-navigation ul li:not(.actus) a:after{
		content: '';
		display: block;
		position: absolute;
		width: 0;
		height: 2px;
		margin-top: 5px;
		background: #1a1a1a;
		transition: all 0.2s;
	}
	#site-navigation ul li a:hover,
	#site-navigation ul li a:focus{color: #FFF;}
	
		/* Sous menu */
		#site-navigation ul.wp-block-navigation-submenu li a:hover,
		#site-navigation ul.wp-block-navigation-submenu li a:focus{color: #f2a4c3;}
		#site-navigation ul.wp-block-navigation-submenu li a:hover:after,
		#site-navigation ul.wp-block-navigation-submenu li a:focus:after{display: none;}	
	
	#site-navigation ul li a:hover:after,
	#site-navigation ul li a:focus:after{
		background: #fff;
		width: calc(100% - 2em);
	}
	#site-navigation .current-menu-item > a,
	#site-navigation .current-menu-ancestor > a{color: #333;}
	#site-navigation .current-menu-item.actus > a{color:#FFF;}

/* SOCIAL-NAVIGATION */
#site-header-main .social-navigation{display: block;}
#social-navigation{
	position: absolute;
	z-index: 9999;
	right: 30px;
	top: 30px;
	display: flex;
	justify-content: flex-end;
}
#social-navigation li{
	display: block;
	width: 44px;
	height: 44px;
	margin: 0;
	text-indent: 200em;
	overflow: hidden;
}
#social-navigation li.fb{background: url(img/fb.svg) no-repeat center / 24px;}
#social-navigation li.ig{background: url(img/ig.svg) no-repeat center / 24px;}
#social-navigation li:hover{
	opacity: 0.6;
}
#social-navigation li a{
	display: block;
	border: 0;
	width: 100%;
	height: 100%;
}
#social-navigation li a:before{display: none;}

/* ACCUEIL */
.entete h1{
	color: #FFF;
	font-size: 66px;
}
body:not(.single) .entete h1{text-shadow: 0px 0px 11px #f2a4c3;}

/* PAGES */
#nav-pages{
	position: relative;
	z-index: 9999;
}
#nav-pages.fixed{
	position: fixed;
	top: 90px;
	left: 0;
	right: 0;
	margin: 0 auto;
	padding-top: 0 !important;
	margin-top: 0 !important;
}
#nav-pages.fixed .wp-block-uagb-advanced-heading{visibility: hidden;}

body:not(.single) h1{
	text-shadow: 0px 0px 11px #f2a4c3;
}

body:not(.home) #masthead{margin-top: 0;}
body.page header .wp-block-cover img{
	filter: grayscale(1);
}
	.rond:before{
		content: '';
		position: absolute;
		z-index: -1;
		width: 120px;
		height: 120px;
		border-radius: 50%;
		display: block;
		background-color: transparent;
		border: 24px solid #f8d1e1;
	}
	.t:before{top: 0;}
	.l:before{left: 120px;}
	.r:before{left: auto; right: 120px;}
	.b:before{top: 100%;}

/* Atypiques */
	.ml-lightbox-enabled{
		
	}

body.page .coachs h2.wp-block-heading{
	font-size: 24px;
	font-style: normal;
	font-weight: 100;
	letter-spacing: 2px;
	line-height: 1;
}

/* actus */
#actus li.wp-block-post{
	display: grid;
	grid-template-columns: 120px auto;
	background: #FFF;
	border-radius: 16px 16px 4px 16px;
	align-items: start;
	outline: 0 solid #f2a4c3;
	box-shadow: 0 0 0 0 #f2a4c333;
	transition: all .25s linear;
}
#actus li.wp-block-post:hover{
	outline-width: 1px;
	box-shadow: 0 0 0 5px #f2a4c333;
}
#actus li.wp-block-post figure{
	border-radius: 15px 0 0 15px;
	overflow: hidden;
}
#actus li.wp-block-post .wp-block-post-excerpt p{
	margin-bottom: 0 !important;
}
#actus a.wp-block-read-more{
		border-radius: 32px;
		background-color: #e44987;
		border: 1px solid transparent;
		border-radius: 16px 16px 4px 16px;
		align-self: start;
		color: #fff;
		font-size: 14px;
	}
#actus a.wp-block-read-more:hover{
	border-color: #1a1a1a;
	background: transparent;
	color: #1a1a1a;
}

#actus ul.wp-block-post-template-is-layout-grid li{
	display: flex;
	flex-direction: column;
}
#actus ul.wp-block-post-template-is-layout-grid li:not(:first-child) figure{
	filter: grayscale(1);
}
#actus ul.wp-block-post-template-is-layout-grid li:hover figure{
	filter: grayscale(0);
}
#actus ul.wp-block-post-template-is-layout-grid li.wp-block-post figure{
	border-radius: 15px 15px 0 0;
}

/* SINGLE */
body.single p.chapo{
	font-size: 1.5em;
	margin-top: 80px;
}
body.single .horaires .wp-block-list strong{
	font-weight : normal;
	float: right;
	text-align: right;
}

/* FOOTER */
footer h3{
	font-size: 18px;
	padding-left: 5px;
}
footer a.wp-block-navigation-item__content span{
	color: inherit;
	background: transparent;
	border-radius: 24px;
	transition: all .2s linear;
}
footer a.wp-block-navigation-item__content:hover{color: #1a1a1a;}
footer a.wp-block-navigation-item__content:hover span{
	color: #1a1a1a !important;
	background: #ffeef5;
}
nav[aria-label="Legal"] span{
	padding: 5px 10px;
}
nav[aria-label="menu Pied de page"] a:hover span{
	color: #e44987 !important;
}